MonoMac 0.0.0.0 System.Object System.IDisposable Process partial audio files.

You use AudioFileStream when you want to decode audio content that does not live in an local file or if you want to decode it in chunks. New data is fed into the AudioFileStream using one of the ParseBytes method and decoded audio is provided on the PacketDecoded event (or the OnPacketDecoded virtual method) and information about the stream is raised on the PropertyFound event (or the OnPropertyFound virtual method).

This can be used to parse audio files when you are streaming audio from the network for example.

StreamingAudio
- Constructor
  0.0.0.0
  Hint about the audio file type.
  Creates a new instance of this object.
- Property
  0.0.0.0
  System.Double Average bytes per packet. This value is precise for audio files with constant bit rates or audio files that have a packet index, otherwise it is a computed average.
- Property
  0.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Int64 `` `` `` The location in the file. Return value, byte offset within the packet. Return value, whether the return is an estimate or not. Maps a position in the file to an audio packet. The packet number that corresponds to this byte in the file.
- Property
  0.0.0.0
  MonoMac.AudioToolbox.AudioChannelLayout To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void Closes (and disposes the audio stream).
- Property
  0.0.0.0
  System.Int64 To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Int64 To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Int64 To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void Releases the resources used by the AudioFileStream object.

  The Dispose method releases the resources used by the AudioFileStream class.

  Calling the Dispose method when you are finished using the AudioFileStream ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it. For more information on releasing resources see ``Cleaning up Unmananaged Resources'' at http://msdn.microsoft.com/en-us/library/498928w2.aspx

- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the AudioFileStream object.

  This Dispose method releases the resources used by the AudioFileStream class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the AudioFileStream ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Property
  0.0.0.0
  MonoMac.AudioToolbox.AudioFileType To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void Finalizer for the AudioFileStream object
- Method
  0.0.0.0
  System.Int64 `` `` The audio frame number. The frame offset in the packet. Returns the packet number and the frame offset in the packet (on the out parameter) corresponding to the requested audio frame. The packet number that corresponds to the specified frame.
- Method
  0.0.0.0
  System.IntPtr `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Byte[] To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Void `` `` `` The number of bytes available in the decoded packet. Pointer to the decoded data. A description of the packets decoded. Invoked when a packet has been decoded. The default implementation raises the PacketDecoded event.
- Method
  0.0.0.0
  System.Void `` `` The property that has been found. Invoked when a propety is found. The default implementation merely raises the PropetyFound event.
- Field
  0.0.0.0
  System.EventHandler<MonoMac.AudioToolbox.PacketReceivedEventArgs> This event is raised when a packet has been decoded.
- Property
  0.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Int64 `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Int64 `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioFileStreamStatus `` `` The buffer that contains the audio data to decode. True if this invocation to ParseBytes is contiguous to the previous one, false otherwise. Parse and decode the array of bytes provided. Parsing status. The OnPacketDecoded/OnProperty found methods are invoked as data is parsed. If you have not subclassed this class, you can alternatively hook up to the PacketDecoded and PropertyFound events to receive parsing notifications.
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioFileStreamStatus `` `` `` The number of bytes to parse from the provided block. A pointer to the audio data to decode. True if this invocation to ParseBytes is contiguous to the previous one, false otherwise. Parse and decode the block of data provided. Parse status. The OnPacketDecoded/OnProperty found methods are invoked as data is parsed. If you have not subclassed this class, you can alternatively hook up to the PacketDecoded and PropertyFound events to receive parsing notifications.
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioFileStreamStatus `` `` `` `` Buffer containing the data. First byte withing the array that contains the data to decode. Number of bytes to parse. True if this invocation to ParseBytes is contiguous to the previous one, false otherwise. Parses and decode a portion of the array of bytes provided. The status from parsing the buffer. The OnPacketDecoded/OnProperty found methods are invoked as data is parsed. If you have not subclassed this class, you can alternatively hook up to the PacketDecoded and PropertyFound events to receive parsing notifications.
- Field
  0.0.0.0
  System.EventHandler<MonoMac.AudioToolbox.PropertyFoundEventArgs> This event is raised when a property has been found on the decoded data. The most interesting property that is raised is AudioFileStreamProperty.ReadyToProducePackets; When this property is parsed there is enough information to create the output queue. The MagicCookie and the StreamBasicDescription contain the information necessary to create a working instance of the OutputAudioQueue.
- Property
  0.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.AudioToolbox.AudioFileStreamStatus `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Boolean `` `` `` The property to set. The size of the data to set. Pointer to the property data. Low-level property setting API. Use the exposed managed properties instead. true if the operation successful. Most properties have been exposed with C# properties, there should be no need to call this directly, unless new properties are introduced that are not bound by Monotouch.
- Property
  0.0.0.0
  MonoMac.AudioToolbox.AudioStreamBasicDescription To be added. To be added. To be added.